Module jdk.compiler
Package com.sun.source.tree

# Interface TryTree

All Superinterfaces:
  `StatementTree`, `Tree`

public interface TryTree extends StatementTree
A tree node for a `try` statement. For example:

       try
           block
       catches
       finally
           finallyBlock

See Java Language Specification:
  14.20 The try statement
Since:
  1.6

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`BlockTree`
`getBlock()`
Returns the block of the `try` statement.
`List<? extends CatchTree>`
`getCatches()`
Returns any catch blocks provided in the `try` statement.
`BlockTree`
`getFinallyBlock()`
Returns the finally block provided in the `try` statement, or `null` if there is none.
`List<? extends Tree>`
`getResources()`
Returns any resource declarations provided in the `try` statement.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getBlock

BlockTree getBlock()
Returns the block of the `try` statement.

Returns:
  the block

### getCatches

List<? extends CatchTree> getCatches()
Returns any catch blocks provided in the `try` statement. The result will be an empty list if there are no catch blocks.

Returns:
  the catch blocks

### getFinallyBlock

BlockTree getFinallyBlock()
Returns the finally block provided in the `try` statement, or `null` if there is none.

Returns:
  the finally block

### getResources

List<? extends Tree> getResources()
Returns any resource declarations provided in the `try` statement. The result will be an empty list if there are no resource declarations.

Returns:
  the resource declarations